Haketilo - Feature #5
optimize url querying
07/01/2021 11:35 AM - koszko

Status: Closed Start date: 07/01/2021
Priority: Normal Due date:

Assignee: koszko % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Scripts are injected to pages with URLs matching specified patterns, like https://*.example.com/something/. Currently, when a page
gets loaded, all possible patterns matching its URL are computed and looked for in settings. This can easily amount for several
dozens patterns for longer URLs. This is a temporary solution that needs optimizing.

background/settings_query.js is where querying takes place. However, improvements will probably require the storage system to be
modified as well.

Related issues:
Related to Hydrilla - Feature #57: Optimize URL querying Closed 07/22/2021

History

#1 - 07/22/2021 12:21 PM - koszko
- Related to Feature #57: Optimize URL querying added

#2 - 12/22/2021 05:03 PM - koszko
- Status changed from New to In Progress

- Assignee set to koszko

- % Done changed from 0 to 50

For some time this has been partially implemented in common/patterns_query_tree.js in koszko branch
#3 - 02/18/2022 01:29 PM - koszko

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

In master
